# lower bound -oo => -1e6
# upper bound  oo => 1e6

var X2 >= 0, <= 1e6;
var X1 >= 0, <= 1e6;
var X4 >= 0, <= 1e6;
var X5 >= 0, <= 1e6;

subject to
ROW1: -.5*X1 + 1*X2 >= .5;
ROW2: 2*X1 - 1*X2 >= 3;
ROW3: 3*X1 + 1*X2 <= 6;
ROW4: 1*X5 <= 2;
ROW5: 3*X4 - 1*X5 <= 2;
ROW6: 1*X4 >= 5;
ROW7: 1*X1 + 1*X5 <= 10;
ROW8: 1*X1 + 2*X2 + 1*X4 <= 14;
ROW9: 1*X2 + 1*X4 >= 1;
solve;